
PENGADIAN EMAS - Bug #15616

iOS [SELL GOLD] SELL ALL Button

20 January 2023 11:18 AM - AMARBEER SINGH SIDHU amar.beer

Status: Closed Start date: 20 January 2023

Priority: Normal Due date:  

Assignee: AMARBEER SINGH SIDHU amar.beer % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

When customer click sell all, you need to calculate the amount and display it based on BE return in ws MinMax parameter name

minimumHoldingGram

Example: minimum holding amount 0.05 gram (THIS VALUE IS FROM BE AS MENTIONED ABOVE), holding 1 gram (THIS IS

CUSTOMER TOTAL GOLD), customer cannot sell 1 gram, they can sell 0.95 gram at maximum

When customer click “Jual Semua” FE will insert 0.95 gram

When customer input 1 gram there should be field error that they need to left 0.05 gram based on Pegadaian rule "TBC"

History

#1 - 31 January 2023 05:47 PM - AMARBEER SINGH SIDHU amar.beer

- File image.png added

Updated screen

#2 - 31 January 2023 05:52 PM - AMARBEER SINGH SIDHU amar.beer

- File Capture.PNG added

show this screen when cust click sell all checkbox then click sell button and the amount is below holding

#3 - 01 February 2023 11:26 AM - salim wijaya

- Status changed from New to Resolved

- Assignee changed from salim wijaya to AMARBEER SINGH SIDHU amar.beer

#4 - 02 February 2023 05:41 PM - AMARBEER SINGH SIDHU amar.beer

- Status changed from Resolved to Assigned

- Assignee changed from AMARBEER SINGH SIDHU amar.beer to salim wijaya

Cust got 6g...then click sell all..example minimumHoldingGram = 2 then the amount displayed should be 6g-2g=4g

#5 - 02 February 2023 11:47 PM - salim wijaya

- Assignee changed from salim wijaya to AMARBEER SINGH SIDHU amar.beer

#6 - 08 February 2023 10:54 AM - AMARBEER SINGH SIDHU amar.beer

- Status changed from Assigned to Closed

Tested Good
